# ==================================================================
# Plugins::Duplicate_Check - Auto Generated Program Module
#
#   Plugins::Duplicate_Check
#   Author  : Andy Newby
#   Version : 1
#   Updated : Mon Aug 12 22:36:18 2002
#
# ==================================================================
#

package Plugins::Duplicate_Check;
# ==================================================================

    use strict;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;
    use Links::SiteHTML;

# Inherit from base class for debug and error methods
    @Plugins::Duplicate_Check::ISA = qw(GT::Base);

# Your code begins here! Good Luck!


# PLUGIN HOOKS
# ===================================================================

sub check {
# -------------------------------------------------------------------
# This subroutine will get called whenever the hook 'add_link'
# is run. You should call GT::Plugins->action ( STOP ) if you don't 
# want the regular code to run, otherwise the code will continue as
# normal.
#
    my (@args) = @_;
    my $args = shift;
    my ($error_show, $chk_dup, $db_con);
    
# Check that the URL isn't already in the Links database
        $db_con  = $DB->table("Links");
 	$chk_dup = $db_con->count ( { URL => $IN->param('URL') } );
  		if ($chk_dup) {
                        $error_show = "The URL you entered already seems to be in our database, either live, or awaiting validation!";
  			print Links::SiteHTML::display('error', { error => $error_show  });
                        exit;
                 }		
}

# ADMIN MENU OPTIONS
# ===================================================================

sub readme {
# -------------------------------------------------------------------
# This subroutine will get called whenever the user clicks
# on 'Readme' in the admin menu. Remember, you need to print
# your own content-type headers; you should use 
#
   print $IN->header();
#

print qq|

<html>

<head>
</head>

<body>

<p align="center"><b><font face="Verdana">Duplicate_Check</font></b></p>
<p align="center"><font face="Verdana" size="2">There is nothing really needed 
here. All that will happen, is that if a link has been submitted already, the 
user will get an error, and the link will not be added again. Pretty simple :) 
No changes are needed from the user/admin end. If you like this plugin, please 
consider sending me a little \$\$\$'s from
<a target="_blank" href="http://www.ace-installer.com/pay.php">
http://www.ace-installerk.com/pay.php</a>.</font></p>
<p align="center"><font face="Verdana" size="2">Cheers</font></p>
<p align="center"><font face="Verdana" size="2">Andy<br>
<a href="mailto:webmaster\@ace-installer.com">webmaster\@ace-installer.com</a><br>
<a target="_blank" href="http://www.ace-installer.com">
http://www.ace-installer.com</a> </font></p>

</body>

</html>


|;

}

# Always end with a 1.
1;
