# ==================================================================
# Plugins::Duplicate_Check - Auto Generated Install Module
#
#   Plugins::Duplicate_Check
#   Author  : Andy Newby
#   Version : 1
#   Updated : Mon Aug 12 22:36:18 2002
#
# ==================================================================
#

package Plugins::Duplicate_Check;
# ==================================================================
    use strict;
    use vars  qw/$VERSION $DEBUG $NAME $META/;
    use GT::Base;
    use GT::Plugins qw/STOP CONTINUE/;
    use Links qw/$CFG $IN $DB/;

    $VERSION = '1';
    $DEBUG   = 0;
    $NAME    = 'Duplicate_Check';
# Inhert from base class for debug and error methods
    @Plugins::Duplicate_Check::ISA = qw(GT::Base);

    $META = {
    'prog_ver' => '2.1.0',
    'url' => 'http://www.ace-installer.com',
    'license' => 'Freeware',
    'description' => 'Just makes sure that links are not already existing, before the URL is submitted to your database...',
    'author' => 'Andy Newby',
    'version' => '1'
};


sub pre_install {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they install
# the plugin.
#
    my $inst_msg = 'Enjoy :)';

    return $inst_msg;
}

sub pre_uninstall {
# -------------------------------------------------------------------
# This function displays an HTML formatted message that will display
# to the user any instructions/information before they remove the
# plugin.
#
    my $uninst_msg = 'Sorry to see you are uninstalling :(';

    return $uninst_msg;
}

sub install {
# -------------------------------------------------------------------
# This function does the actual installation. It's first argument is
# a plugin manager which you can use to register hooks, install files,
# add menu options, etc. The second argument is a GT::Tar object which
# you can use to access any files in your plugin module.
#
# You should return an HTML formatted string that will be displayed 
# to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Duplicate_Check::error
#
    my ($mgr, $tar) = @_;
    
    $mgr->install_hooks ( 'Duplicate_Check', [ ['add_link', 'PRE', 'Plugins::Duplicate_Check::check', 'FIRST'] ]);
    $mgr->install_menu ( 'Duplicate_Check', [ ['Readme', 'admin.cgi?do=plugin&plugin=Duplicate_Check&func=readme'] ] );
    
    return "The plugin has been successfully installed!";
}

sub uninstall {
# -------------------------------------------------------------------
# This function removes the plugin. It's first argument is
# also a plugin manager which you can use to register hooks, install files,
# add menu options, etc. You should return an HTML formatted string
# that will be displayed to the user.
#
# If there is an error, return undef, and set the error message in
# $Plugins::Duplicate_Check::error
#
    my $mgr = shift;
    
    $mgr->uninstall_hooks ( 'Duplicate_Check', [ ['add_link', 'PRE', 'Plugins::Duplicate_Check::check', 'FIRST'] ]);
    $mgr->uninstall_menu ( 'Duplicate_Check', [ ['Readme', 'admin.cgi?do=plugin&plugin=Duplicate_Check&func=readme'] ] );
    ;
    return "The plugin has been successfully removed!";
}

1;
